#

API Docs for: 2.0.0
Show: Inherited Protected Private Deprecated

# WebGLShaderManager Class

Defined in: `src/pixi/renderers/webgl/utils/WebGLShaderManager.js:5`
Module: PIXI

## Constructor

### `WebGLShaderManager`

() private

Defined in `src/pixi/renderers/webgl/utils/WebGLShaderManager.js:5`

- Index
- Methods
- Properties

## Item Index

### Methods

- destroy
- setAttribs
- setContext
- setShader

### Properties

- attribState
- maxAttibs
- stack
- tempAttribState

## Methods

### `destroy`

()

Defined in `src/pixi/renderers/webgl/utils/WebGLShaderManager.js:135`

Destroys this object.

### `setAttribs`

(

- `attribs`

)

Defined in `src/pixi/renderers/webgl/utils/WebGLShaderManager.js:72`

Takes the attributes given in parameters.

#### Parameters:

- `attribs` Array

  attribs

### `setContext`

(

- `gl`

)

Defined in `src/pixi/renderers/webgl/utils/WebGLShaderManager.js:45`

Initialises the context and the properties.

#### Parameters:

- `gl` WebGLContext

  the current WebGL drawing context

### `setShader`

(

- `shader`

)

Defined in `src/pixi/renderers/webgl/utils/WebGLShaderManager.js:115`

Sets the current shader.

#### Parameters:

- `shader` Any

## Properties

### `attribState`

Array

Defined in `src/pixi/renderers/webgl/utils/WebGLShaderManager.js:18`

### `maxAttibs`

Number

Defined in `src/pixi/renderers/webgl/utils/WebGLShaderManager.js:12`

### `stack`

Array

Defined in `src/pixi/renderers/webgl/utils/WebGLShaderManager.js:35`

### `tempAttribState`

Array

Defined in `src/pixi/renderers/webgl/utils/WebGLShaderManager.js:24`